#!/bin/bash
clear
T="$(date +%s)"

MYFOLDER="/home/rune/Dokumenter/fordypningsprosjekt/program"

# Compiles the modules disc_mod and calculation_mod
gfortran -c "$MYFOLDER/disc_mod.f90" 
gfortran -fopenmp -c "$MYFOLDER/calculation_mod_omp.f90"

# Compiles electrodyn.f90 by using disc_mod.o, 
# calculation_mod.o and the library discret
gfortran -fopenmp "$MYFOLDER/J_calc.f90" \
"$MYFOLDER/disc_mod.o" "$MYFOLDER/calculation_mod_omp.o" \
-o  J_calc -L/home/rune/Dokumenter/fordypningsprosjekt/lib/ \
-ldiscret -llapack -O3

#gfortran "$MYFOLDER/E_calc.f90" "$MYFOLDER/disc_mod.o" \
# "$MYFOLDER/calculation_mod.o" \
gfortran -fopenmp "$MYFOLDER/E_calc_omp.f90" \
"$MYFOLDER/disc_mod.o" "$MYFOLDER/calculation_mod_omp.o" \
-o  E_calc -L/home/rune/Dokumenter/fordypningsprosjekt/lib/ \
-ldiscret -llapack -O3

#echo "electrodyn.f90 compiled, saved to electrodyn!"
echo "Running program..."

# Running program electrodyn
"$MYFOLDER/J_calc" > output_J

#running program E_calc
"$MYFOLDER/E_calc" #> output2

echo "Done running program!"
T="$(($(date +%s)-T))"
#echo "Time in seconds: ${T}"
printf " %02d:%02d:%02d\n" "$((T/3600%24))" "$((T/60%60))" "$((T%60))"
